curl --request PATCH \
--url https://service.incaseof.law/openapi/debtors/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"person": {
"first_name": "Jane",
"last_name": "Smith",
"birth_date": "1985-03-15"
}
}
'{
"success": true,
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"acting_as": "person",
"debtor_type": "<string>",
"person": {
"salutation": "mr",
"first_name": "<string>",
"last_name": "<string>",
"birth_date": "<string>"
},
"company": {
"company_name": "<string>",
"firmenbuchnummer": "<string>",
"not_protocolled": true
},
"addresses": [
{
"street": "<string>",
"zip": "<string>",
"city": "<string>",
"country": "AF",
"is_primary": true
}
],
"communication_channels": [
{
"type": "email",
"value": "[email protected]",
"is_primary": true
}
]
}
}Debtors
Update debtor
Update debtor information. All fields are optional - only send the fields you want to update.
Note: Arrays like addresses and communication_channels will replace all existing entries.
PATCH
/
openapi
/
debtors
/
{id}
curl --request PATCH \
--url https://service.incaseof.law/openapi/debtors/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"person": {
"first_name": "Jane",
"last_name": "Smith",
"birth_date": "1985-03-15"
}
}
'{
"success": true,
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"acting_as": "person",
"debtor_type": "<string>",
"person": {
"salutation": "mr",
"first_name": "<string>",
"last_name": "<string>",
"birth_date": "<string>"
},
"company": {
"company_name": "<string>",
"firmenbuchnummer": "<string>",
"not_protocolled": true
},
"addresses": [
{
"street": "<string>",
"zip": "<string>",
"city": "<string>",
"country": "AF",
"is_primary": true
}
],
"communication_channels": [
{
"type": "email",
"value": "[email protected]",
"is_primary": true
}
]
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Update debtor information. All fields are optional - only send the fields you want to update.
Available options:
person, company Optional link to a customer for partner revenue sharing
Required string length:
15 - 34Required string length:
8 - 11Available options:
privateperson, protocolled_company, unprotocolled_company Show child attributes
Show child attributes
Show child attributes
Show child attributes
Debtor addresses (replaces all existing addresses)
Show child attributes
Show child attributes
Communication channels like email, phone, mobile (replaces all existing channels)
Show child attributes
Show child attributes